- entityDefinitions:
  - IDM_ManageSystemAccountCredentials_ProcessUpdates: '{2a285b98-5999-4805-ba70-249bbed9eaed}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_SequenceTask_ManageSystemUserCredentials;'
    name: 'Manage System User Credentials'
    initiatingElement: '{aae999d6-60c4-4357-b1b6-dd0f3375358a}'
    taskCategory: '&IDI_TaskCategory_SystemUser;'

  - processRelatedUpdatesMethod: '&IDM_ManageSystemAccountCredentials_ProcessUpdates;'
    usesExecutableReturningInstanceSet: '&IDC_SystemUser;'

  - element: '{aae999d6-60c4-4357-b1b6-dd0f3375358a}'
    name: 'manage system account credentials'
    processedByPRUMethod: '&IDM_ManageSystemAccountCredentials_ProcessUpdates;'
    elementContents:
    - globalIdentifier: '{a1802e75-64f2-4de0-a036-b7069137e3c1}'
      defaultDataType: '{9c65b684-ad62-495a-a690-5aa5fc26bebc}'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
  
  - element: '{9c65b684-ad62-495a-a690-5aa5fc26bebc}'
    name: 'manage system account credentials edits'
    elementContents:
    - globalIdentifier: '{a6360087-3a18-4648-9e3a-e62da002191f}'
      defaultDataType: '&IDA_PasswordRules;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
    - globalIdentifier: '{da407cd2-e390-489d-90f0-f2a6ab336e0c}'
      defaultDataType: '&IDC_User;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
    - globalIdentifier: '{15969a7d-4313-4d80-97e2-5335fbc16b2b}'
      defaultDataType: '&IDA_EmailAddress;'
    - globalIdentifier: '{862b454f-c84a-439e-8a2b-6d841aae158a}'
      defaultDataType: '&IDA_GenerateRandomPassword;'
    - globalIdentifier: '{65b01825-c4f8-4e48-89ee-be42806b109d}'
      defaultDataType: '&IDA_NewPassword;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ObscuredText;'
    - globalIdentifier: '{f68d0b17-6bd7-439d-8fd2-2f7afee73b7f}'
      defaultDataType: '&IDA_VerifyNewPassword;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ObscuredText;'
    - globalIdentifier: '{15a23713-2ddc-47d2-8758-cd17e04ad4f9}'
      defaultDataType: '&IDA_RequireChangePasswordAtNextSignIn;'
    - globalIdentifier: '{bc72543d-c3a1-40ce-b10a-c641d13028f4}'
      defaultDataType: '&IDA_ResetChallengeQuestions;'
    - globalIdentifier: '{033b8c46-567a-499f-a1bf-c0bdd5709374}'
      defaultDataType: '&IDA_AccountDisabled;'